%define oname   rbx-require-relative

Name:       ruby-%{oname}
Version:    0.0.9
Release:    %mkrel 6
Summary:    Fast Ruby debugger - core component
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildArch: noarch
BuildRequires: rubygems

%description
Ruby 1.9's require_relative for Rubinius and MRI 1.8. We also add 
abs_path which is like __FILE__ but __FILE__ can be fooled by a sneaky 
"chdir" while abs_path can't. If you are running on Ruby 1.9 or greater, 
require_relative is the pre-defined version. The benefit we provide in 
this situation by this package is the ability to write the same 
require_relative sequence in Rubinius 1.8 and Ruby 1.9. 

%files
%{gem_spec}
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/test

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.0.9-6.mga4
+ Revision: 562423
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.0.9-4.mga4
+ Revision: 538928
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.0.9-3.mga4
+ Revision: 491114
- update file list
- update file list
- use gem_setup

* Fri Feb 08 2013 fwang <fwang> 0.0.9-2.mga3
+ Revision: 396892
- rebuild for new rdoc

* Sun Jan 20 2013 dmorgan <dmorgan> 0.0.9-1.mga3
+ Revision: 390257
- imported package ruby-rbx-require-relative

